Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.platform.windows.natives
Class Socket.sockaddr_in

    java.lang.Object
      com.sun.cldc.jna.Structure
          com.sun.cldc.jna.DynamicStructure
              com.sun.squawk.platform.windows.natives.SocketImpl.sockaddr_inImpl
                  com.sun.squawk.platform.windows.natives.Socket.sockaddr_in

Enclosing interface:
  Socket

    public static final class Socket.sockaddr_in

extends SocketImpl.sockaddr_inImpl

C STRUCTURE sockaddr_in / struct sockaddr_in { u_char sin_len; 1 u_char sin_family; 1 u_short sin_port; 2 struct in_addr sin_addr; 4 char sin_zero[8]; 8 }; struct sockaddr { __uint8_t sa_len; /* total length sa_family_t sa_family; /* [XSI] address family char sa_data[14]; /* [XSI] addr value (actually larger) };

Field Summary
`int` | `sin_addr` in_addr is an opaque type that is typically a 4-byte int for IPv4.
`int` | `sin_family` u_char
`int` | `sin_len` u_char DOES NOT EXIST ON SOLARIS!
`int` | `sin_port` u_short

Fields inherited from class com.sun.cldc.jna.DynamicStructure
`DEBUG, STRUCTURE_SIZE_INDEX`

Fields inherited from class com.sun.cldc.jna.Structure
`backingNativeMemory, NULL`

Constructor Summary
`Socket.sockaddr_in()`

Method Summary
`String` | `toString()` Returns a string representation of the object.

Methods inherited from class com.sun.squawk.platform.windows.natives.SocketImpl.sockaddr_inImpl
`getLayout, read, write`

Methods inherited from class com.sun.cldc.jna.DynamicStructure
`initLayout, size`

Methods inherited from class com.sun.cldc.jna.Structure
`allocateMemory, allocateMemory, clear, freeMemory, getPointer, release, useMemory`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sin_len

    public int sin_len

  u_char DOES NOT EXIST ON SOLARIS!

### sin_family

    public int sin_family

  u_char

### sin_port

    public int sin_port

  u_short

### sin_addr

    public int sin_addr

  in_addr is an opaque type that is typically a 4-byte int for IPv4.

Constructor Detail

### Socket.sockaddr_in

    public Socket.sockaddr_in()

Method Detail

### toString

    public String toString()

  Description copied from class: `Object`
  Returns a string representation of the object. In general, the `toString` method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method.

  The `toString` method for class `Object` returns a string consisting of the name of the class of which the object is an instance, the at-sign character ``@`', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of:

  >      getClass().getName() + '@' + Integer.toHexString(hashCode())

  Overrides:
    `toString` in class `Structure`
  Returns:
    a string representation of the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"